Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.ontology
Class AlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.ontology.OntologyException
                  org.biojava.ontology.AlreadyExistsException

All Implemented Interfaces:
  Serializable

    public class AlreadyExistsException

extends OntologyException

Thrown to indicate that a term or triple can't be added to an ontology because it is already present.

Author:
  Thomas Down
See Also:
  Serialized Form

Constructor Summary
`AlreadyExistsException()`
`AlreadyExistsException(String description)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlreadyExistsException

    public AlreadyExistsException()

### AlreadyExistsException

    public AlreadyExistsException(String description)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD